name: Kubernetes Service for Product Page App
services:
  my-bookinfo:
    name: my-bookinfo
    type: Namespace
    apiVersion: v1
    version: v1.25.2
    model: kubernetes
    settings:
      spec:
        finalizers:
        - ""
    traits:
      meshmap:
        edges: []
        id: c41a499e-1acb-43e8-837d-c2f7487a2864
        label: my-bookinfo
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: parent
          isCustomResource: false
          isNamespaced: false
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: rectangle
          styleOverrides: '{"background-image":"none","border-width":2,"border-style":"dashed","background-opacity":0.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/namespace-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg
        position:
          posX: 351.5443683765185
          posY: 150.85057184324745
  productpage-qvbht:
    name: productpage-qvbht
    type: Service
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    dependsOn:
    - my-bookinfo
    settings:
      spec:
        ports:
        - port: 9080
          protocol: HTTP
    traits:
      meshmap:
        edges:
        - data:
            id: a2ab459f-0265-4ac6-974b-19986c8c4ff6
            metadata:
              port: 9080
              protocol: HTTP
            source: ddd166d9-9403-457a-b4ca-b22006fe2a91
            subType: Network
            target: c27051eb-e5d9-4bef-81f2-be5f0f4724e8
        id: ddd166d9-9403-457a-b4ca-b22006fe2a91
        label: productpage
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          styleOverrides: '{"height":16,"width":17,"padding":12,"background-fit":"none","background-position-y":4}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        parent: c41a499e-1acb-43e8-837d-c2f7487a2864
        position:
          posX: 317.8817234633282
          posY: 141.85057184324745
  productpage-tndyg:
    name: productpage-tndyg
    type: Deployment
    apiVersion: apps/v1
    version: v1.25.2
    model: kubernetes
    dependsOn:
    - my-bookinfo
    settings:
      spec:
        cluster IPs:
        - ""
        ports:
        - port: 9080
          protocol: HTTP
        replicas: 1
        selector:
          match Labels:
            newKey: New Value
        session Affinity Config:
          client IP:
            timeout Seconds: 0
        strategy:
          type: RollingUpdate
        template:
          spec:
            containers:
            - image: <your-productpage-image>
              name: ""
              ports:
              - container Port: 9080
                protocol: TCP
    traits:
      meshmap:
        edges:
        - data:
            id: a2ab459f-0265-4ac6-974b-19986c8c4ff6
            metadata:
              port: 9080
              protocol: HTTP
            source: ddd166d9-9403-457a-b4ca-b22006fe2a91
            subType: Network
            target: c27051eb-e5d9-4bef-81f2-be5f0f4724e8
        id: c27051eb-e5d9-4bef-81f2-be5f0f4724e8
        label: productpage
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: parent
          isCustomResource: false
          isNamespaced: true
          logoURL: Created by Lee
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          styleOverrides: '{"background-image":"none","border-width":2,"background-opacity":0.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
        parent: c41a499e-1acb-43e8-837d-c2f7487a2864
        position:
          posX: 385.20701328970875
          posY: 140.4649892824034
